package com.wissamfawaz;

import java.io.RandomAccessFile;
import java.nio.ByteBuffer;
import java.nio.MappedByteBuffer;
import java.nio.channels.FileChannel;
public class RandomAccessFileDemo {

	public static void main(String[] args) throws Exception {
		/*
		 * Path path = Paths.get("in.txt"); String str = "I was here!!"; ByteBuffer
		 * buffer1 = ByteBuffer.wrap(str.getBytes()); ByteBuffer buffer2 =
		 * ByteBuffer.allocate(12);
		 * 
		 * FileChannel channel = FileChannel.open(path, READ, WRITE);
		 * 
		 * channel.read(buffer2); buffer2.flip(); channel.position(0);
		 * channel.write(buffer1);
		 * 
		 * channel.position(channel.size()); channel.write(buffer2); buffer1.rewind();
		 * channel.write(buffer1);
		 * 
		 * channel.close();
		 */
		
		RandomAccessFile raf = new RandomAccessFile("out.txt", "rw");
		MappedByteBuffer mbb = raf.getChannel().map(FileChannel.MapMode.READ_WRITE, 0, 1000);
		
		String str = "This content will go to memory mapped file.";
		mbb.put(ByteBuffer.wrap(str.getBytes()));

	}

}
